Name:             virt-viewer
Version:          7.0
Release:          3
Summary:          A UI interface for virtualized guest OS
License:          GPLv2+
URL:              http://virt-manager.org/
Source0:          http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz

Requires:         openssh-clients
Requires(post):   chkconfig desktop-file-utils
Requires(postun): chkconfig desktop-file-utils

BuildRequires:    pkgconfig(glib-2.0) >= 2.38 pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:    pkgconfig(libvirt) >= 0.10.0 pkgconfig(libvirt-glib-1.0) >= 0.1.8
BuildRequires:    pkgconfig(libxml-2.0) >= 2.6.0 pkgconfig(gtk-vnc-2.0) >= 0.4.0
BuildRequires:    pkgconfig(spice-client-gtk-3.0) >= 0.35 pkgconfig(spice-protocol) >= 0.12.7
BuildRequires:    perl-podlators intltool pkgconfig(govirt-1.0) >= 0.3.2

Obsoletes:        spice-client < 0.12.3-2

%description
virt-viewer is a lightweight UI interface for interacting with the
graphical display of virtualized guest OS. It can display VNC or
SPICE, and uses libvirt to lookup the graphical connection details.

%package          help
Summary:          Documents for virt-viewer

%description      help
The virt-viewer-help package contains related documents.

%prep
%autosetup -n %{name}-%{version} -p1

%build

%configure --with-spice-gtk --with-ovirt --with-buildid=%{release} --disable-update-mimedb
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS
%{_bindir}/%{name}
%{_bindir}/remote-viewer
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/appdata/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml

%files help
%doc README.md ChangeLog NEWS
%{_mandir}/man1/virt-viewer.1*
%{_mandir}/man1/remote-viewer.1*

%changelog
* Tue May 19 2020 zhanghailiang<zhang.zhanghailiang@huawei.com> - 7.0-3
- Increase release number

* Sat Nov 23 2019 Jiangping Hu <hujiangping@huawei.com> - 7.0-2
- Package init
